BeagleWksBMParser Class Referencefinal

the main class to read a BeagleWorks bitmap file More...

`#include <BeagleWksBMParser.hxx>`

Inheritance diagram for BeagleWksBMParser:

## Public Member Functions

| BeagleWksBMParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~BeagleWksBMParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
MWAWVec2f | getPageLeftTop () const
| returns the page left top point ( in inches)
void | newPage (int number)
| adds a new page
bool | createZones ()
| finds the different objects zones
bool | readRSRCZones ()
| read the resource fork zone
bool | sendBitmap ()
| try to send the bitmap
bool | sendPageFrames ()
| try to send the page graphic
bool | sendFrame (BeagleWksStructManager::Frame const &frame)
| try to send a frame
bool | sendPicture (int pId, MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| try to send a picture
bool | readPrintInfo ()
| read the print info zone
bool | readPrefColorMap ()
| read the preference color map
bool | readColorMap ()
| read the bitmap color map (if colored bitmap)
bool | readBitmap (bool onlyCheck=false)
| try to read a bitmap
MWAWInputStreamPtr | rsrcInput ()
| return the input input
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< BeagleWksBMParserInternal::State > | m_state
| the state
std::shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager

## Detailed Description

the main class to read a BeagleWorks bitmap file

## Constructor & Destructor Documentation

## BeagleWksBMParser()

BeagleWksBMParser::BeagleWksBMParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~BeagleWksBMParser()

BeagleWksBMParser::~BeagleWksBMParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool BeagleWksBMParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## createDocument()

void BeagleWksBMParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by parse().

## createZones()

bool BeagleWksBMParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by parse().

## getPageLeftTop()

MWAWVec2f BeagleWksBMParser::getPageLeftTop | ( |  | ) | const

protected

returns the page left top point ( in inches)

## init()

void BeagleWksBMParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by BeagleWksBMParser().

## newPage()

void BeagleWksBMParser::newPage | ( | int | number | ) |

protected

adds a new page

## parse()

void BeagleWksBMParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

## readBitmap()

bool BeagleWksBMParser::readBitmap | ( | bool | onlyCheck = false | ) |

protected

try to read a bitmap

Referenced by createZones().

## readColorMap()

bool BeagleWksBMParser::readColorMap | ( |  | ) |

protected

read the bitmap color map (if colored bitmap)

Referenced by readBitmap().

## readPrefColorMap()

bool BeagleWksBMParser::readPrefColorMap | ( |  | ) |

protected

read the preference color map

Referenced by createZones().

## readPrintInfo()

bool BeagleWksBMParser::readPrintInfo | ( |  | ) |

protected

read the print info zone

Referenced by checkHeader(), and createZones().

## readRSRCZones()

bool BeagleWksBMParser::readRSRCZones | ( |  | ) |

protected

read the resource fork zone

Referenced by createZones().

## rsrcAscii()

libmwaw::DebugFile & BeagleWksBMParser::rsrcAscii | ( |  | ) |

protected

a DebugFile used to write what we recognize when we parse the document in rsrc

## rsrcInput()

MWAWInputStreamPtr BeagleWksBMParser::rsrcInput | ( |  | ) |

protected

return the input input

## sendBitmap()

bool BeagleWksBMParser::sendBitmap | ( |  | ) |

protected

try to send the bitmap

Referenced by parse().

## sendFrame()

bool BeagleWksBMParser::sendFrame | ( | BeagleWksStructManager::Frame const & | frame | ) |

protected

try to send a frame

Referenced by sendPageFrames().

## sendPageFrames()

bool BeagleWksBMParser::sendPageFrames | ( |  | ) |

protected

try to send the page graphic

Referenced by parse().

## sendPicture()

bool BeagleWksBMParser::sendPicture | ( | int | pId,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = MWAWGraphicStyle::emptyStyle() )

protected

try to send a picture

Referenced by sendFrame().

## Member Data Documentation

## m_state

std::shared_ptr<BeagleWksBMParserInternal::State> BeagleWksBMParser::m_state

protected

the state

Referenced by BeagleWksBMParser(), checkHeader(), createDocument(), createZones(), getPageLeftTop(), init(), newPage(), readBitmap(), readColorMap(), readPrefColorMap(), and sendBitmap().

## m_structureManager

std::shared_ptr<BeagleWksStructManager> BeagleWksBMParser::m_structureManager

protected

the structure manager

Referenced by BeagleWksBMParser(), createZones(), init(), readRSRCZones(), sendPageFrames(), and sendPicture().

The documentation for this class was generated from the following files:

- BeagleWksBMParser.hxx
- BeagleWksBMParser.cxx